Index: extensions/Mail_supervisor/include/constants.php
===================================================================
--- extensions/Mail_supervisor/include/constants.php	(revision 10385)
+++ extensions/Mail_supervisor/include/constants.php	(revision 10419)
@@ -5,64 +5,64 @@
 if (!defined('MAIL_BLACK_LISTE_TABLE')) define('MAIL_BLACK_LISTE_TABLE', $prefixeTable.'mail_black_list');
 if (!defined('Sv_MAIL_TABLE')) define('Sv_MAIL_TABLE', $prefixeTable.'Sv_mail');
-global 	$superv_champs , $superv_type ,$superv_bl_champs , $superv_bl_type ; 
+global  $superv_champs , $superv_type ,$superv_bl_champs , $superv_bl_type ;
 $superv_champs = array(
   "id",
   "nb_mails",
   "date_mail",
-  "nb_mails_maxi",		
-  "nb_mails_periode",	
+  "nb_mails_maxi",
+  "nb_mails_periode",
   "nb_spams",
-  "date_spam",	
-  "nb_spams_maxi",	
-  "nb_spams_periode",	
+  "date_spam",
+  "nb_spams_maxi",
+  "nb_spams_periode",
   "quarantaine",
   "date_quarantaine",
-  "quarantaine_periode",	
-  "message", 
-  "message_test", 
-  "header_text",				
-		);	
-									
- 	$superv_type = array(
-	                " SMALLINT( 5 ) NOT NULL DEFAULT '0'"      ,
-					"INT NOT NULL DEFAULT '0'"  ,
-					"INT NOT NULL DEFAULT '0'"  ,
-					"INT NOT NULL DEFAULT '2000'",		
-					"TEXT"  ,	
-					"INT NOT NULL DEFAULT '0'",
-					"INT NOT NULL DEFAULT '0'",	
-					"INT NOT NULL DEFAULT '10'",	
-					"TEXT"  ,	
-					"TEXT" ,
-					"INT NOT NULL DEFAULT '0'",
-					"TEXT"  ,	
-					"TEXT"  , 
-					"TEXT"  , 
-					"TEXT"  ,
-					
-					);		
-					
- 
-	  $superv_bl_champs = array(
-	  				"id",
-					"ip",
-					"pays",
-					"region",		
-					"ville",	
-					"adresse",
-					"fai",	
-					"nb"
-					);
-					
- 	$superv_bl_type = array(
-	                " smallint(5) UNSIGNED NOT NULL auto_increment ",
- 					"TEXT"  ,
- 					"TEXT"  ,
- 					"TEXT"  ,
- 					"TEXT"  ,
- 					"TEXT"  ,
- 					"TEXT"  ,
-					" smallint(5) UNSIGNED "
-					);																	
+  "quarantaine_periode",
+  "message",
+  "message_test",
+  "header_text",
+        );
+
+    $superv_type = array(
+                    " SMALLINT( 5 ) NOT NULL DEFAULT '0'"      ,
+                    "INT NOT NULL DEFAULT '0'"  ,
+                    "INT NOT NULL DEFAULT '0'"  ,
+                    "INT NOT NULL DEFAULT '2000'",
+                    "TEXT"  ,
+                    "INT NOT NULL DEFAULT '0'",
+                    "INT NOT NULL DEFAULT '0'",
+                    "INT NOT NULL DEFAULT '10'",
+                    "TEXT"  ,
+                    "TEXT" ,
+                    "INT NOT NULL DEFAULT '0'",
+                    "TEXT"  ,
+                    "TEXT"  ,
+                    "TEXT"  ,
+                    "TEXT"  ,
+
+                    );
+
+
+      $superv_bl_champs = array(
+                    "id",
+                    "ip",
+                    "pays",
+                    "region",
+                    "ville",
+                    "adresse",
+                    "fai",
+                    "nb"
+                    );
+
+    $superv_bl_type = array(
+                    " smallint(5) UNSIGNED NOT NULL auto_increment ",
+                    "TEXT"  ,
+                    "TEXT"  ,
+                    "TEXT"  ,
+                    "TEXT"  ,
+                    "TEXT"  ,
+                    "TEXT"  ,
+                    " smallint(5) UNSIGNED "
+                    );
 
 ?>
Index: extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- extensions/Mail_supervisor/include/fonctions.php	(revision 10385)
+++ extensions/Mail_supervisor/include/fonctions.php	(revision 10419)
@@ -26,5 +26,5 @@
 
 
-global 	$superv_champs , $superv_type ,$superv_bl_champs , $superv_bl_type ; 
+global  $superv_champs , $superv_type ,$superv_bl_champs , $superv_bl_type ;
 // if (!isset($_COOKIE[session_name()])){}
 
@@ -32,22 +32,22 @@
 global $template ;
 //===============================================
-function corrige_header($Carbonne,$headers,$args,$cl_list_mail,$mailto="")	{
+function corrige_header($Carbonne,$headers,$args,$cl_list_mail,$mailto="")  {
   global $mails_options,$conf_mail,$infos_message;
   if (!empty($args[$Carbonne]) && count($args[$Carbonne]) > 0 ){
-    $cl_list_mail  =  str_replace(","," , ",get_strict_email_list(implode(',', $args[$Carbonne])))." \n"  ;  
+    $cl_list_mail  =  str_replace(","," , ",get_strict_email_list(implode(',', $args[$Carbonne])))." \n"  ;
     $cl_liste_dest = implode(', ', $args[$Carbonne])." \n";
-    if ($mails_options['check_header_carbon'] == 'on') {    
-        $headers = preg_replace('/.*'.$Carbonne.':(.*).\n/i', $Carbonne.': '.  $cl_list_mail, $headers);         
-    }  
-    $ret->list_mail = $cl_list_mail ;         
+    if ($mails_options['check_header_carbon'] == 'on') {
+        $headers = preg_replace('/.*'.$Carbonne.':(.*).\n/i', $Carbonne.': '.  $cl_list_mail, $headers);
+    }
+    $ret->list_mail = $cl_list_mail ;
   } else {
     // Raz Bcc, Cc dans headers
     $headers = preg_replace('/.*'.$Carbonne.'(.*).\n/i', "" , $headers);
-    $ret->list_mail = "" ; 
-  }
-  $ret->headers = $headers ; 
-  return $ret;		
-}
-	
+    $ret->list_mail = "" ;
+  }
+  $ret->headers = $headers ;
+  return $ret;
+}
+
 function int_to_heure($int){
   global $lang,$mails_donnees ;
@@ -56,26 +56,26 @@
 
 
-	$delta=(7*24*60*60) ;
-	$week = (int) ($int/$delta); 
-	$int= $int-($week*$delta) ;  
-
-	$delta=(24*60*60) ;
-	$day= (int) ($int/$delta); 
-	$int=$int-($day*$delta);
-
-	$delta=(60*60) ;
-	$heures=(int) ($int/$delta);
-	$int=$int-($heures*$delta);
-
-	$delta=(60) ;
-	$minutes=(int) ($int/$delta);
-	$int= $int - ($minutes*$delta);
-
-	$secondes=(int) ($int);
-	$day      = substr ('00'.    $day,-2,2);   
-	$heures   = substr ('00'. $heures,-2,2);   
-	$minutes  = substr ('00'.$minutes,-2,2);
-	$secondes = substr ('00'.$secondes,-2,2);
-	
+    $delta=(7*24*60*60) ;
+    $week = (int) ($int/$delta);
+    $int= $int-($week*$delta) ;
+
+    $delta=(24*60*60) ;
+    $day= (int) ($int/$delta);
+    $int=$int-($day*$delta);
+
+    $delta=(60*60) ;
+    $heures=(int) ($int/$delta);
+    $int=$int-($heures*$delta);
+
+    $delta=(60) ;
+    $minutes=(int) ($int/$delta);
+    $int= $int - ($minutes*$delta);
+
+    $secondes=(int) ($int);
+    $day      = substr ('00'.    $day,-2,2);
+    $heures   = substr ('00'. $heures,-2,2);
+    $minutes  = substr ('00'.$minutes,-2,2);
+    $secondes = substr ('00'.$secondes,-2,2);
+
   $retour="";
   $Week=explode(" ",l10n('Week %d'));
@@ -88,36 +88,36 @@
   if ($secondes > 0) $retour .= "+" . $secondes." " .l10n('Second');
   $retour=str_replace("+0","+",$retour);
-  //================================================================================================   
+  //================================================================================================
   return $retour;
-}	  
-
-	
+}
+
+
 function verif_base(){
   global $lang,$superv_champs,$superv_type,$superv_bl_champs,$superv_bl_type;
   load_language('plugin.lang', MAIL_SUPERV_PATH);
-  //==============================================================================		
+  //==============================================================================
   create_table(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs,$superv_bl_type) ;
-  ajust_table(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs,$superv_bl_type)  ; 
-  //==============================================================================		
+  ajust_table(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs,$superv_bl_type)  ;
+  //==============================================================================
   create_table(mail_superv_TABLE,$superv_champs,$superv_type) ;
   ajust_table(mail_superv_TABLE,$superv_champs,$superv_type)  ;
-  //==============================================================================		
-    $valeurs= array (	1,
-						          0,
-			           time(),
-	                 2000,
-	          '"604800"' ,
-	                    0,
-	               time(),
-	                   10,
-	           '"172800"',
-	            '"false"',
-	               time(),
-	           '"172800"',
-	             '"Init"',
+  //==============================================================================
+    $valeurs= array (   1,
+                                  0,
+                       time(),
+                     2000,
+              '"604800"' ,
+                        0,
+                   time(),
+                       10,
+               '"172800"',
+                '"false"',
+                   time(),
+               '"172800"',
+                 '"Init"',
    '"'.l10n('Sv_supervisor').'"',
-	'"'.l10n('hello').'"',
-	 );
-	ajout_ligne(mail_superv_TABLE,$superv_champs, $valeurs,false ) ;
+    '"'.l10n('hello').'"',
+     );
+    ajout_ligne(mail_superv_TABLE,$superv_champs, $valeurs,false ) ;
 }
 //=================================================================================
@@ -134,5 +134,5 @@
       array_push($columns_of, $row[0]);
     }
- 
+
   return $columns_of;
 }
@@ -152,17 +152,17 @@
     LEFT JOIN '.USER_GROUP_TABLE.' AS ug
       ON u.'.$conf['user_fields']['id'].' = ug.user_id
-  WHERE ug.group_id='.$group_id.' '; 
+  WHERE ug.group_id='.$group_id.' ';
  $groups=array();
-  $datas = pwg_query($query); 
-  
+  $datas = pwg_query($query);
+
   if (!empty($datas)) {
-    while ($group = mysql_fetch_array($datas,MYSQL_ASSOC)){	
-      if (!empty($group['email'])){  
+    while ($group = mysql_fetch_array($datas,MYSQL_ASSOC)){
+      if (!empty($group['email'])){
          array_push($groups, format_email($group['username'], $group['email'] ));
       }
     }
-  } 
+  }
   return $groups ;
-  
+
 }
 //=================================================================================
@@ -170,6 +170,6 @@
 function create_table($nom_table,$champs,$types)  //mail_superv_TABLE
 {
-	$i=0;
- 	$valeurs=array();
+    $i=0;
+    $valeurs=array();
   foreach ( $champs as $champ) {
       $champ = trim($champ);
@@ -179,14 +179,14 @@
 
 
-	
-	if ( count($valeurs) == 0) return ;
+
+    if ( count($valeurs) == 0) return ;
 
     $valeurs=implode(", ",$valeurs) ;
-	//===============================================================================
-		$query = "CREATE TABLE IF NOT EXISTS  `" . $nom_table . "` (". $valeurs . " , PRIMARY KEY  (`id` ) ) ENGINE=MyISAM  ;";   
-			 if ( pwg_query($query) ) return ;  
-				die("ERREUR CREATION ".$query);  	
-      
-	 
+    //===============================================================================
+        $query = "CREATE TABLE IF NOT EXISTS  `" . $nom_table . "` (". $valeurs . " , PRIMARY KEY  (`id` ) ) ENGINE=MyISAM  ;";
+             if ( pwg_query($query) ) return ;
+                die("ERREUR CREATION ".$query);
+
+
 }
 function ajust_table($nom_table,$champs,$types)  //mail_superv_TABLE
@@ -194,54 +194,54 @@
 global $infos_message ;
 $colonnes = Get_colonnes_de($nom_table);
-	$data = 	$types ;
-	$i=0;
- 	$valeurs=array();
+    $data =     $types ;
+    $i=0;
+    $valeurs=array();
 foreach ( $champs as $champ)
    {
      $champ = trim($champ);
-	  if (!in_array( $champ,$colonnes)) {
+      if (!in_array( $champ,$colonnes)) {
          array_push($valeurs , " ADD `".$champ."`" . '  ' . $data[  $i] )  ;
-	 }
-	 $i +=1;
-	 
-    }
-//=============================================================================	
-	if ( count($valeurs) == 0) return ;
-	
+     }
+     $i +=1;
+
+    }
+//=============================================================================
+    if ( count($valeurs) == 0) return ;
+
   $infos_message .=  "AJUSTE TABLE : ". $nom_table . "<br />" . "NB (col) : ". count($colonnes) . mail_supervisor::Memo_Var($valeurs) . "<br />" ;
-	
+
      $valeurs=implode(", ",$valeurs) ;
-	//===============================================================================
-		$query = "ALTER TABLE `" . $nom_table . "` ". $valeurs ;
-			if (   pwg_query($query)) return ;            
-		die($query);
-}
-//==============================================================================	
+    //===============================================================================
+        $query = "ALTER TABLE `" . $nom_table . "` ". $valeurs ;
+            if (   pwg_query($query)) return ;
+        die($query);
+}
+//==============================================================================
 function ajout_ligne($nom_table,$champs,$valeurs,$force)
 {
   if (!$force) {
      $query = "
-    		SELECT `id` , COUNT(`id`) as total 
-    		FROM `".$nom_table."` GROUP by  `id`
-  		;";	
-	  list($count) = mysql_fetch_row(pwg_query($query));
-
-		
+            SELECT `id` , COUNT(`id`) as total
+            FROM `".$nom_table."` GROUP by  `id`
+        ;";
+      list($count) = mysql_fetch_row(pwg_query($query));
+
+
 }else{
 
-    	$count = 0 ;
-}
- 
+        $count = 0 ;
+}
+
   if ($count == 0)
   {
       $n_champs=implode(",",$champs);
       $n_valeurs=implode(",",$valeurs);
-	   $query = "
-    	INSERT INTO `".$nom_table."` (". $n_champs.") 
-        VALUES ( ".	$n_valeurs .")";
-		
-		if (pwg_query($query)) return ;
-		die($query);
-		
+       $query = "
+        INSERT INTO `".$nom_table."` (". $n_champs.")
+        VALUES ( ". $n_valeurs .")";
+
+        if (pwg_query($query)) return ;
+        die($query);
+
   }
 }
@@ -260,15 +260,15 @@
 if (!is_numeric($mails_donnees['quarantaine_periode'])){
   $periode=Str_To_Time( $mails_donnees['quarantaine_periode'],0);
-  $mails_donnees['quarantaine_periode']= ($periode > 0) ? $periode : '172800' ; 
+  $mails_donnees['quarantaine_periode']= ($periode > 0) ? $periode : '172800' ;
  }
     if  ($infos_message != "")  {
         array_push($page['infos'],  $infos_message);
         $infos_message="";
-    }		 
+    }
     if  ($erreur_message != "")  {
         array_push($page['errors'], $erreur_message);
         $erreur_message ="";
-    }	
-		 
+    }
+
 }
 //=======================================================================
@@ -295,38 +295,38 @@
   $lang['Sv_'. $lang['Sv_second']] = 'second';
 
-} 
-//--- traduction --> anglais --- 
+}
+//--- traduction --> anglais ---
 
  //========= suppression numeric et symbole ==========
-$new_valeur =( preg_replace("/[0-9+\-.*\/()%]/"," ",$a_ajouter)); 
+$new_valeur =( preg_replace("/[0-9+\-.*\/()%]/"," ",$a_ajouter));
 $nv =  trim( sup_double_espace($new_valeur)) ;
- 
- 
- 
- 	$conv['week']= (7*24*60*60);
-	$conv['day']= (24*60*60);
-	$conv['hour']=  (60*60) ;
-	$conv['minute']=  60 ;
-	$conv['second']= 1;
+
+
+
+    $conv['week']= (7*24*60*60);
+    $conv['day']= (24*60*60);
+    $conv['hour']=  (60*60) ;
+    $conv['minute']=  60 ;
+    $conv['second']= 1;
 
   $nv = explode(" ", $nv );
-  
+
   foreach($nv as $nv1){
     if (!isset($lang['Sv_'. $nv1]) ) {
-    //==== au cas pluriel ===  
-      $nv0 =  substr($nv1, 0,-1) ;   
+    //==== au cas pluriel ===
+      $nv0 =  substr($nv1, 0,-1) ;
       $a_ajouter= str_replace( $nv1,$nv0,   $a_ajouter);
-      $nv1 = $nv0 ;     
-    }  
+      $nv1 = $nv0 ;
+    }
     if (!isset($lang['Sv_'. $nv1]) ) {
-      $erreur_message .= $nv1. " ".l10n('not_found')."<br />";  
-	  //  die($erreur_message);	  
+      $erreur_message .= $nv1. " ".l10n('not_found')."<br />";
+      //  die($erreur_message);
     }else {
-      ob_start();  
+      ob_start();
       $match = $conv[strtolower($lang['Sv_'. $nv1])] ;
       $a_ajouter = str_replace($nv1," ". $match  ." ",$a_ajouter) ;
       $erreur_message .= ob_get_contents();
       ob_end_clean();
-	  }		  
+      }
   }
 
@@ -338,5 +338,5 @@
   $new_valeur =  str_replace($v1,$v2,$a_ajouter) ;
   $new_valeur =  str_replace('++','+',$new_valeur ) ;
-			
+
   return   $new_valeur;
 }
@@ -347,8 +347,8 @@
   global $erreur_message,$infos_message,$user;
   global $lang;
-  
+
   $ajout=ucwords ($ajout);
-  
-  
+
+
 if (is_numeric($ajout))
  $valeur=   $ajout ;
@@ -356,7 +356,7 @@
 {
  $valeur= Date_to_numeric( $ajout) ;
- 
+
  }
- 
+
 $new_valeur = explode( "|", $valeur );
 
@@ -365,68 +365,68 @@
 $erreur = false;
 
-	//$new_valeur = $a_ajouter + $init_date ;
-	foreach($new_valeur as $nv)
-	{
-	$return = matheval($nv) ;
-		 if (strpos("error",$return)===false) {
-		    $p += $return ;
-		 }else {
-		    $erreur_message .=   "[" . $ajout . "] --> " . l10n('Sv_syntax_error') . " : " .  $nv ."<br />";
-			$erreur = true;
-		 }
-			
-	 
-	}
-	if ($erreur) $p = -1000 ;
+    //$new_valeur = $a_ajouter + $init_date ;
+    foreach($new_valeur as $nv)
+    {
+    $return = matheval($nv) ;
+         if (strpos("error",$return)===false) {
+            $p += $return ;
+         }else {
+            $erreur_message .=   "[" . $ajout . "] --> " . l10n('Sv_syntax_error') . " : " .  $nv ."<br />";
+            $erreur = true;
+         }
+
+
+    }
+    if ($erreur) $p = -1000 ;
 return    intval($p) ;
- 
+
 }
 //=====================================================================================
-function matheval($equation) 
-  { 
+function matheval($equation)
+  {
 
   $return="error";
 
-  
-    $equation = preg_replace("/[^0-9+\-.*\/()%]/","",$equation); 
-    $equation = preg_replace("/([+-])([0-9]{1})(%)/","*(1\$1.0\$2)",$equation); 
-    $equation = preg_replace("/([+-])([0-9]+)(%)/","*(1\$1.\$2)",$equation); 
-    $equation = preg_replace("/([0-9]+)(%)/",".\$1",$equation); 
-	
-    if ( $equation == "" ) 
-    { 
-      $return = 0; 
-    }     else  { 
-       @eval("\$return=" . $equation . ";" ); 
-    }
- return $return; 
-   
-  } 
+
+    $equation = preg_replace("/[^0-9+\-.*\/()%]/","",$equation);
+    $equation = preg_replace("/([+-])([0-9]{1})(%)/","*(1\$1.0\$2)",$equation);
+    $equation = preg_replace("/([+-])([0-9]+)(%)/","*(1\$1.\$2)",$equation);
+    $equation = preg_replace("/([0-9]+)(%)/",".\$1",$equation);
+
+    if ( $equation == "" )
+    {
+      $return = 0;
+    }     else  {
+       @eval("\$return=" . $equation . ";" );
+    }
+ return $return;
+
+  }
 
 //======================================================================================
 function sup_double_espace($chaine){
 global $erreur_message;
-	$str_temp = $chaine." ";
-	$sep=" ";
-	$chaine = trim($chaine);
+    $str_temp = $chaine." ";
+    $sep=" ";
+    $chaine = trim($chaine);
     if ($chaine=="") return ;
-	$existe = (strpos($sep.$sep,$chaine )===false) ;
-	 while  ($existe ){
-    	 $str_temp = str_replace($sep.$sep, $sep, $chaine );  
-    		if($str_temp == $chaine ) return $chaine ;
-//			$erreur_message .= mail_supervisor::Memo_Var($str_temp) ;
-    		$chaine  = $str_temp;
-			$existe =  (strpos($sep.$sep,$chaine )===false) ;
-  		}
-	return $chaine;
-}
-//==================== TEST black_liste ============================================	
+    $existe = (strpos($sep.$sep,$chaine )===false) ;
+     while  ($existe ){
+         $str_temp = str_replace($sep.$sep, $sep, $chaine );
+            if($str_temp == $chaine ) return $chaine ;
+//          $erreur_message .= mail_supervisor::Memo_Var($str_temp) ;
+            $chaine  = $str_temp;
+            $existe =  (strpos($sep.$sep,$chaine )===false) ;
+        }
+    return $chaine;
+}
+//==================== TEST black_liste ============================================
 function kill_list() {
   global $pays,$region,$ville,$ip ;
-  global $erreur_message,$infos_message,$conf;	
+  global $erreur_message,$infos_message,$conf;
   global $conf, $user, $page;
   global $mails_options ;
-  global $superv_bl_champs,$superv_bl_type ; 
-  global $nb ; 
+  global $superv_bl_champs,$superv_bl_type ;
+  global $nb ;
   if (!isset($ip)) {
     if (getenv("HTTP_CLIENT_IP"))   {
@@ -437,115 +437,115 @@
   }
   $champs=implode(',',$superv_bl_champs);
-   $query = "SELECT ".$champs.",COUNT(`ip`) as total 
-  FROM `".MAIL_BLACK_LISTE_TABLE."` 
-		WHERE '".$ip."' LIKE `ip` 
-		GROUP by `ip` 
-  ;";	
-	$result = @pwg_query($query);
-	 if (!$result) {
-			verif_base();
-	 		$result = @pwg_query($query);
-			}
-	  $datas = mysql_fetch_array($result,MYSQL_ASSOC);
-  	$nb = $datas['total']|0; 
-    //=======================================================================	
-    if ($mails_options['set_auto'] == 'on') {  
+   $query = "SELECT ".$champs.",COUNT(`ip`) as total
+  FROM `".MAIL_BLACK_LISTE_TABLE."`
+        WHERE '".$ip."' LIKE `ip`
+        GROUP by `ip`
+  ;";
+    $result = @pwg_query($query);
+     if (!$result) {
+            verif_base();
+            $result = @pwg_query($query);
+            }
+      $datas = mysql_fetch_array($result,MYSQL_ASSOC);
+    $nb = $datas['total']|0;
+    //=======================================================================
+    if ($mails_options['set_auto'] == 'on') {
       global $user_name,$mail_adresse;
 
        if (isset($nb) && $nb>0) {
-       //if (test_spam($ip,$user['username'] ,$user['email']))  // ne plus tester automatiquement . 
+       //if (test_spam($ip,$user['username'] ,$user['email']))  // ne plus tester automatiquement .
             if ($nb==0) {
-  	          $valeurs=array( 'NULL',
-		           "'".$ip."'",
-					        "'".$pays."'",
-					        "'".$region."'",	
-					        "'".$ville."'",
-					        "'".$user['email']."'",
-					        "'".$user['username']."'",	
-					        $nb+1
-	            );
- 	          ajout_ligne(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs, $valeurs,$nb==0) ;	
-	        }else{	
-            mail_supervisor::Get_geo();    
-            $nb +=1;	
-		         $query ="UPDATE " . MAIL_BLACK_LISTE_TABLE . " SET ";
-		         if (isset($_POST['pays']))	
-		         $query .= "`pays` = '". $pays ."',
-			        `region` = '" . $region ."',
-			        `ville` = '" . $ville . "',			
-			        ";			
-		         $query .= "`adresse` = '".$user['email']."',		
-			        `fai` = '".$user['username']."',		
-			        `nb` = " . $nb . "
-		         WHERE '".$ip."' like `ip` ";		
-				       pwg_query($query );	
-	        }
- 	     $erreur_message .= $pays . $ip ." <br />User Name :".$user['username']."<br />User Mail :".$user['email'] . ' -----> ' . l10n('Sv_black_liste') ;
-       // die($nb." ".$ip." ".$user['username']." ".$user['email']);  
- 
-       return true ;	
-      }  
+              $valeurs=array( 'NULL',
+                   "'".$ip."'",
+                            "'".$pays."'",
+                            "'".$region."'",
+                            "'".$ville."'",
+                            "'".$user['email']."'",
+                            "'".$user['username']."'",
+                            $nb+1
+                );
+              ajout_ligne(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs, $valeurs,$nb==0) ;
+            }else{
+            mail_supervisor::Get_geo();
+            $nb +=1;
+                 $query ="UPDATE " . MAIL_BLACK_LISTE_TABLE . " SET ";
+                 if (isset($_POST['pays']))
+                 $query .= "`pays` = '". $pays ."',
+                    `region` = '" . $region ."',
+                    `ville` = '" . $ville . "',
+                    ";
+                 $query .= "`adresse` = '".$user['email']."',
+                    `fai` = '".$user['username']."',
+                    `nb` = " . $nb . "
+                 WHERE '".$ip."' like `ip` ";
+                       pwg_query($query );
+            }
+         $erreur_message .= $pays . $ip ." <br />User Name :".$user['username']."<br />User Mail :".$user['email'] . ' -----> ' . l10n('Sv_black_liste') ;
+       // die($nb." ".$ip." ".$user['username']." ".$user['email']);
+
+       return true ;
+      }
     }
  //==============================================================================
 
- if ( $mails_options['ip'] == $ip ) return ($nb > 0) ;	 
+ if ( $mails_options['ip'] == $ip ) return ($nb > 0) ;
    $ip0= $mails_options['ip'] ;
-   $mails_options['ip'] = $ip ;  
-   mail_supervisor::sauve_options();  
- 	if (  $nb > 0 )
-	{
-	       $query = "
-    		SELECT ".$champs.",COUNT(`id`) as total 
-    		FROM `".MAIL_BLACK_LISTE_TABLE."` 
-		    WHERE '".$ip."' = `ip` 
-			GROUP by `ip` 
-  		;";	
-		 $result = @pwg_query($query);
- 
-	if (!$result) {
-					verif_base();
-	 				$result = @pwg_query($query);
-					}
-	    $datas = mysql_fetch_array($result,MYSQL_ASSOC);
-		 $nb = $datas['total']; 
-		 
-	    $row  = mysql_fetch_row(pwg_query($query));
-	    $nb =  ($row[7]);
-        $erreur_message .= $ip0 . ' | ' .$ip . ' | ' . $pays . ' | ' . $region . ' | ' . $ville . ' ' . $nb . ' ==> ';	
-  
-  	 if ($nb == 0)
-		 {
-		   	$valeurs=array( 'NULL',
-		            "'".$ip."'",
-					"'".$pays."'",
-					"'".$region."'",	
-					"'".$ville."'",
-					"'".$user['email']."'",		
-			  "'".$user['username']."'",		
-					1
-	      );
-		  ajout_ligne(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs, $valeurs,true) ;	
-		 
-		 } else {
-		  $nb += 1;
-	 $query ="
-			UPDATE " . MAIL_BLACK_LISTE_TABLE . " 
-			SET ";
-		if (isset($_POST['pays']))	
-		 $query .= "	
-			`pays` = '". $pays ."',
-			`region` = '" . $region ."',
-			`ville` = '" . $ville . "',
-			";
-		 $query .= "	
-		    `adresse` = '".$user['email']."',
-			`fai` = '".$user['username']."',			
-			`nb` = " . $nb . "
-		    WHERE '".$ip."' = `ip` 
-        	";
-		
-				pwg_query($query );	
-				}
-	}
+   $mails_options['ip'] = $ip ;
+   mail_supervisor::sauve_options();
+    if (  $nb > 0 )
+    {
+           $query = "
+            SELECT ".$champs.",COUNT(`id`) as total
+            FROM `".MAIL_BLACK_LISTE_TABLE."`
+            WHERE '".$ip."' = `ip`
+            GROUP by `ip`
+        ;";
+         $result = @pwg_query($query);
+
+    if (!$result) {
+                    verif_base();
+                    $result = @pwg_query($query);
+                    }
+        $datas = mysql_fetch_array($result,MYSQL_ASSOC);
+         $nb = $datas['total'];
+
+        $row  = mysql_fetch_row(pwg_query($query));
+        $nb =  ($row[7]);
+        $erreur_message .= $ip0 . ' | ' .$ip . ' | ' . $pays . ' | ' . $region . ' | ' . $ville . ' ' . $nb . ' ==> ';
+
+     if ($nb == 0)
+         {
+            $valeurs=array( 'NULL',
+                    "'".$ip."'",
+                    "'".$pays."'",
+                    "'".$region."'",
+                    "'".$ville."'",
+                    "'".$user['email']."'",
+              "'".$user['username']."'",
+                    1
+          );
+          ajout_ligne(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs, $valeurs,true) ;
+
+         } else {
+          $nb += 1;
+     $query ="
+            UPDATE " . MAIL_BLACK_LISTE_TABLE . "
+            SET ";
+        if (isset($_POST['pays']))
+         $query .= "
+            `pays` = '". $pays ."',
+            `region` = '" . $region ."',
+            `ville` = '" . $ville . "',
+            ";
+         $query .= "
+            `adresse` = '".$user['email']."',
+            `fai` = '".$user['username']."',
+            `nb` = " . $nb . "
+            WHERE '".$ip."' = `ip`
+            ";
+
+                pwg_query($query );
+                }
+    }
  return ($nb > 0) ;
 }
@@ -558,21 +558,21 @@
  $result="";
  $ip= sup_double_espace($ip);
- if (strlen($ip)>3) { 
+ if (strlen($ip)>3) {
    //==================  Verifie si l'IP est correct  ================================
-   if (clj_is_ip($ip)){     
-     
-   } else {  
-   //==================  Verifie si l'adresse mail est correcte  ================================ 
-         if( clj_is_mail($ip) ){  
-	 		 $mail_adresse=$ip ;
-	         $ip="";
-	    }
-	    else
-	    {
-   //==================  Login  ================ 
-	      $user_name=$ip;
-	      $ip="";
-	    }
-   }    
+   if (clj_is_ip($ip)){
+
+   } else {
+   //==================  Verifie si l'adresse mail est correcte  ================================
+         if( clj_is_mail($ip) ){
+             $mail_adresse=$ip ;
+             $ip="";
+        }
+        else
+        {
+   //==================  Login  ================
+          $user_name=$ip;
+          $ip="";
+        }
+   }
    //=============================================================================
  }
@@ -582,27 +582,27 @@
  $user_name="";  // ne plus tester sur le login.
  $mail_adresse =str_replace(" ","%20",trim($mail_adresse));
- if ( strlen($user_name) > 3)  	  $type[]="username=$user_name" ;
+ if ( strlen($user_name) > 3)     $type[]="username=$user_name" ;
  if ( strlen($mail_adresse) > 3)   $type[]="email=".$mail_adresse ;
- if ( strlen($ip) > 3)   $type[]="ip=".$ip ; 
- foreach  ( $type as $fil ) {    
+ if ( strlen($ip) > 3)   $type[]="ip=".$ip ;
+ foreach  ( $type as $fil ) {
   $resultat="";
   if (  clj_fetchRemote($src.$fil , $resultat,1))
-   $result .= $resultat.'<br />'  ; 		  
+   $result .= $resultat.'<br />'  ;
  }
 
  return !(strpos(  $result ,'yes' ) === false) ;
-  
+
 }
 //==================================================================
 function lire_fichier_distant($fichier){
   $buffer="";
-  $handle =  @fopen($fichier,"r"); 
+  $handle =  @fopen($fichier,"r");
   if ($handle) {
-    while (!feof($handle)) { 
+    while (!feof($handle)) {
         $buffer .= fgets($handle, 4096);
-		  }   
-			  fclose($handle);
-	  }
-				 
+          }
+              fclose($handle);
+      }
+
   return  $buffer ;
 
@@ -611,15 +611,15 @@
 function clj_is_ip($ip){
 if (preg_match("/^(((25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9]{1}[0-9]|[1-9])\.){1}((25[0-5]|2[0-4][0-9]|[1]{1}[0-9]{2}|[1-9]{1}[0-9]|[0-9])\.){2}((25[0-5]|2[0-4][0-9]|[1]{1}[0-9]{2}|[1-9]{1}[0-9]|[0-9]){1}))$/",$ip))    return true ;
-		 
+
 }
 
 function clj_is_mail($mail)
-{     
-
- if(preg_match('/^[\w.-]+@[\w.-]+\.[a-zA-Z]{2,5}$/' ,$mail)) return true ;	
-  if(preg_match('/#^[\w.-]+@[\w.-]+\.[a-zA-Z]{2,5}$#/' ,$mail)) return true ;	
-}	   
-
- 
+{
+
+ if(preg_match('/^[\w.-]+@[\w.-]+\.[a-zA-Z]{2,5}$/' ,$mail)) return true ;
+  if(preg_match('/#^[\w.-]+@[\w.-]+\.[a-zA-Z]{2,5}$#/' ,$mail)) return true ;
+}
+
+
 function clj_fetchRemote($src, &$dest, $timeout=1, $user_agent='Piwigo', $step=0)
 {
@@ -628,8 +628,8 @@
 
   if ($src=="") return ;
- 
+
   if (!url_is_remote($src))
   {
-  
+
     $content = @file_get_contents($src);
     if ($content !== false)
@@ -643,5 +643,5 @@
     }
   }
- 
+
   // After 3 redirections, return false
   if ($step > 3) return false;
Index: extensions/Mail_supervisor/include/function_test_send.php
===================================================================
--- extensions/Mail_supervisor/include/function_test_send.php	(revision 10385)
+++ extensions/Mail_supervisor/include/function_test_send.php	(revision 10419)
@@ -23,35 +23,35 @@
 
 if ( !defined('PHPWG_ROOT_PATH'))   die('Hacking attempt!');
-function test_envoie($message,$group_name,$group_id){    
+function test_envoie($message,$group_name,$group_id){
   global $infos_message,$erreur_message ,$conf,$user,$conf_mail,$mail_donnees,$args,$lang ;
-	$mailto="";	
+    $mailto="";
  load_language('plugin.lang', MAIL_SUPERV_PATH);
- 
+
 //==================================================================================
 if (!isset($infos_message))
-	{
-    	$infos_message = "";
-	}
+    {
+        $infos_message = "";
+    }
 if (!isset($erreur_message))
-	{
-    	$erreur_message = '';
-	}
+    {
+        $erreur_message = '';
+    }
 if (!isset($mails_donnees))
-	{
-    	$mails_donnees = mail_supervisor::Get_Datas();
-	}		
+    {
+        $mails_donnees = mail_supervisor::Get_Datas();
+    }
 if (!isset($conf_mail))
   {
-    	$conf_mail = get_mail_configuration();
+        $conf_mail = get_mail_configuration();
   }
-  	  if (isset($args))
-  { 
+      if (isset($args))
+  {
     $infos_message=mail_supervisor::Memo_Var($args);
   }else{
-  	$args = array();
-	}
+    $args = array();
+    }
 //=====================================================================================================
 
-  
+
 
 $groups=get_liste($group_id);
@@ -62,41 +62,41 @@
        $args['Bcc']=$groups;
    }   else {
-       $mailto = $conf_mail['formated_email_webmaster']; 
-   } 
-   
+       $mailto = $conf_mail['formated_email_webmaster'];
+   }
+
 $args['from'] =(function_exists('get_user_language_desc')) ? get_user_language_desc($conf_mail['formated_email_webmaster']):$conf_mail['formated_email_webmaster'];
 $message_html =$message;
       if (function_exists('get_user_language_desc') and isset($message) and $message <> '')
         $message = get_user_language_desc($message)."\n\n";
-  
-	//==================================================================
-	 $message_texte=sprintf(
+
+    //==================================================================
+     $message_texte=sprintf(
         l10n('Sv_message_texte %s %s %s %s'),
         format_date( date("Y-m-d H:i:s")),
-		$group_name,
-		$message,
-		$args['from']
-        );	
- 	//==================================================================
-	$message_html .= "</br>" . $message . "</br>" . $message_texte;
+        $group_name,
+        $message,
+        $args['from']
+        );
+    //==================================================================
+    $message_html .= "</br>" . $message . "</br>" . $message_texte;
  //==========================================================================
 
-    	$args['subject']="Plugin Piwigo TEST";
-    	$args['content']=$message_html;
-		$infos_message .="To :" . $mailto;
-		
-        $ret= pwg_mail($mailto , $args); 
-	if ( $group_name <> '' or $mailto <> '' )
-	{	
-		if ($group_name<>'') {
-		 $infos_message .=  '<br />'.  sprintf( l10n('An information email was sent to group "%s"'), $group_name ).'<br />';
-		 	}
-		 	if ($mailto <> '') {
-		 		$infos_message .=  '<br />'.  sprintf( l10n('Sv_mail_sent_to'), $mailto ).'<br />';
-		 		}
-		 
-	}else{
-	       $infos_message .='<br />'.l10n('Sv_no_receiver_available') ;
-	}
+        $args['subject']="Plugin Piwigo TEST";
+        $args['content']=$message_html;
+        $infos_message .="To :" . $mailto;
+
+        $ret= pwg_mail($mailto , $args);
+    if ( $group_name <> '' or $mailto <> '' )
+    {
+        if ($group_name<>'') {
+         $infos_message .=  '<br />'.  sprintf( l10n('An information email was sent to group "%s"'), $group_name ).'<br />';
+            }
+            if ($mailto <> '') {
+                $infos_message .=  '<br />'.  sprintf( l10n('Sv_mail_sent_to'), $mailto ).'<br />';
+                }
+
+    }else{
+           $infos_message .='<br />'.l10n('Sv_no_receiver_available') ;
+    }
 }
 //===============================================================================================================
@@ -105,5 +105,5 @@
 
     $mails_donnees = mail_supervisor::Get_Datas();
-	  if (!isset($conf_mail))
+      if (!isset($conf_mail))
   {
     $conf_mail = get_mail_configuration();
@@ -112,15 +112,15 @@
  load_language('plugin.lang', MAIL_SUPERV_PATH);
 
-  		$nom ='piwigo_logo_sombre_214x100.png'; 
-		$fichier=PHPWG_ROOT_PATH.'admin/template/goto/theme/roma/images/piwigo_logo_sombre_214x100.png' ;
-		$typemime='image/jpeg';
-				
-		$fd = fopen( $fichier, "r" ); 
-  		$contenu = fread( $fd, filesize( $fichier ) ); 
-  		fclose( $fd ); 
-  		$piecejointe  = chunk_split(base64_encode($contenu)); 
-		
-		
-	 $from=$args['from'];
+        $nom ='piwigo_logo_sombre_214x100.png';
+        $fichier=PHPWG_ROOT_PATH.'admin/template/goto/theme/roma/images/piwigo_logo_sombre_214x100.png' ;
+        $typemime='image/jpeg';
+
+        $fd = fopen( $fichier, "r" );
+        $contenu = fread( $fd, filesize( $fichier ) );
+        fclose( $fd );
+        $piecejointe  = chunk_split(base64_encode($contenu));
+
+
+     $from=$args['from'];
 $to="";
 
@@ -128,20 +128,20 @@
         l10n('Sv_message_texte %s %s %s'),
         format_date( date("Y-m-d H:i:s")),
-		$to,
-		$from
-        );	
-		
- 
-  $message_html =  	'<img src="'.PHPWG_ROOT_PATH.'admin/template/goto/theme/roma/images/piwigo_logo_sombre_214x100.png" />';
-  ob_start();	
- 
+        $to,
+        $from
+        );
+
+
+  $message_html =   '<img src="'.PHPWG_ROOT_PATH.'admin/template/goto/theme/roma/images/piwigo_logo_sombre_214x100.png" />';
+  ob_start();
+
   echo str_replace("\n","<br />",$message_texte);
-	
+
   $message_html .= ob_get_contents()."\n";
   //ob_flush();
   ob_end_clean();
 
-  $limite=$conf_mail['boundary_key'];   
-  $headers =   date("Y-m-d H:i:s") ."\n"; 
+  $limite=$conf_mail['boundary_key'];
+  $headers =   date("Y-m-d H:i:s") ."\n";
 
   //=======================================================================================
@@ -149,14 +149,14 @@
     $headers.= "Reply-To: ".$args['from']."\n";
     $nb_destinataires=0;
-    $destinataire = $conf_mail['email_webmaster'];  
+    $destinataire = $conf_mail['email_webmaster'];
     if (!empty($args['Cc'])){
       $nb_destinataires += count($args['Cc']);
       $to= explode(',', $args['Cc']);
-      $headers	.= get_strict_email_list($to) ;		    
-  	}
-    if (!empty($args['Bcc'])){  
-      $nb_destinataires += count($args['Bcc']); 
+      $headers  .= get_strict_email_list($to) ;
+    }
+    if (!empty($args['Bcc'])){
+      $nb_destinataires += count($args['Bcc']);
       $to = implode(',', $args['Bcc']);
-      $headers	.= 'Bcc :'.get_strict_email_list($to)."\n" ;		   
+      $headers  .= 'Bcc :'.get_strict_email_list($to)."\n" ;
     }
 
@@ -166,26 +166,26 @@
     $headers.= 'MIME-Version: 1.0'."\n";
     $headers.= 'X-Mailer: Piwigo Mailer'."\n";
-    //Le message en texte simple pour les navigateurs qui n'acceptent pas le HTML 
-    $texte = "This is a multi-part message in MIME format.\n"; 	
-    $texte .= "-----=".$limite."\n"; 
-    $texte .= "Ceci est un message est au format MIME.\n"; 
-    $texte .= 'Content-Type: text/plain; charset="UTF-8"'."\n"; 
-    $texte .= 'Content-Transfer-Encoding: 8bit'."\n\n";  
-    $texte .= $message_texte ; 
-    $texte .= "\n\n"; 		
-    $texte .= "-----=".$limite."\n"; 
-    $texte .= 'Content-Type: text/html; charset="UTF-8"'."\n"; 
-    $texte .= 'Content-Transfer-Encoding: 8bit'."\n\n";  
-    $texte .= $message_html; 
-    $texte .= "\n\n"; 
-    $attachement = "-----=".$limite."\n"; 
-    $attachement .= "Content-Type: ".$typemime."; name=\"".$nom."\"\n"; 
-    $attachement .= "Content-Transfer-Encoding: base64\n"; 
-    $attachement .= "Content-Disposition: attachment; filename=\"".$nom."\"\n\n"; 
-    $attachement .= $piecejointe; 
-    $attachement .= "\n\n\n-----=".$limite."\n"; 
+    //Le message en texte simple pour les navigateurs qui n'acceptent pas le HTML
+    $texte = "This is a multi-part message in MIME format.\n";
+    $texte .= "-----=".$limite."\n";
+    $texte .= "Ceci est un message est au format MIME.\n";
+    $texte .= 'Content-Type: text/plain; charset="UTF-8"'."\n";
+    $texte .= 'Content-Transfer-Encoding: 8bit'."\n\n";
+    $texte .= $message_texte ;
+    $texte .= "\n\n";
+    $texte .= "-----=".$limite."\n";
+    $texte .= 'Content-Type: text/html; charset="UTF-8"'."\n";
+    $texte .= 'Content-Transfer-Encoding: 8bit'."\n\n";
+    $texte .= $message_html;
+    $texte .= "\n\n";
+    $attachement = "-----=".$limite."\n";
+    $attachement .= "Content-Type: ".$typemime."; name=\"".$nom."\"\n";
+    $attachement .= "Content-Transfer-Encoding: base64\n";
+    $attachement .= "Content-Disposition: attachment; filename=\"".$nom."\"\n\n";
+    $attachement .= $piecejointe;
+    $attachement .= "\n\n\n-----=".$limite."\n";
     $ret=false;
     ob_start();
-    $ret= mail( $destinataire, $args['subject'], $texte.$attachement, $headers); 
+    $ret= mail( $destinataire, $args['subject'], $texte.$attachement, $headers);
     $message =  ob_get_contents() ;
   //ob_flush();
@@ -195,5 +195,5 @@
     $infos_message =  "-------------------";
   }
-  return  $ret;  
+  return  $ret;
 }
 ?>
Index: extensions/Mail_supervisor/include/save_info.php
===================================================================
--- extensions/Mail_supervisor/include/save_info.php	(revision 10385)
+++ extensions/Mail_supervisor/include/save_info.php	(revision 10419)
@@ -4,81 +4,81 @@
 switch (strtolower($info_ip))
  {
-  case  'ajout' :  
+  case  'ajout' :
  $ip_black=str_replace("*","%",$ip_black);
  if (!($ip_black == '')) {
    $query = "
-    		SELECT `ip` 
-    		FROM `".MAIL_BLACK_LISTE_TABLE."` 
-		    WHERE  '".$ip_black."' LIKE ip 
-  		;";	
-	//==============================================================================		
+            SELECT `ip`
+            FROM `".MAIL_BLACK_LISTE_TABLE."`
+            WHERE  '".$ip_black."' LIKE ip
+        ;";
+    //==============================================================================
   list($count) = mysql_fetch_row(pwg_query($query));
-  //==============================================================================	
+  //==============================================================================
   $valeurs=array( 'NULL',
-		            "'".$ip_black."'",
-					         "'".$pays."'",
-					         "'".$region."'",	
-					         "'".$ville."'",
-					         '"adresse"',
-					         '"fai" ',
-					         $count + 1
-	        );
- 	ajout_ligne(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs, $valeurs,($count==0)) ;	
+                    "'".$ip_black."'",
+                             "'".$pays."'",
+                             "'".$region."'",
+                             "'".$ville."'",
+                             '"adresse"',
+                             '"fai" ',
+                             $count + 1
+            );
+    ajout_ligne(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs, $valeurs,($count==0)) ;
  }
- 
+
  break;
  //================================================================================================
   case 'raz':
     $ip_black=str_replace('*',"%",$ip_black);
-  		$query = "DELETE FROM `".MAIL_BLACK_LISTE_TABLE."` WHERE `ip`  like '%".$ip_black."%' ";
-			 pwg_query($query);
-   
+        $query = "DELETE FROM `".MAIL_BLACK_LISTE_TABLE."` WHERE `ip`  like '%".$ip_black."%' ";
+             pwg_query($query);
+
     unset ($_SESSION['pwg_'.'action_spam']);
    break;
-   
-    default:				
+
+    default:
    break;
-   
-  } 
+
+  }
 //================ Liste Black liste =================
   $query = "
-     SELECT *,  COUNT(`ip`) as total ,	`ip` as blacklist, `ip` as U_DELETE 
+     SELECT *,  COUNT(`ip`) as total ,  `ip` as blacklist, `ip` as U_DELETE
      FROM ".MAIL_BLACK_LISTE_TABLE."
-     GROUP by ip 
+     GROUP by ip
      ;";
-	$liste_bl = array();
+    $liste_bl = array();
  $result = pwg_query($query);
-		while ($row = mysql_fetch_array($result,MYSQL_ASSOC))	{
-    			 array_push($liste_bl,$row);
-   				}	   
-//================ Liste IP ==============		
-$req = mysql_query('SELECT count(distinct(`IP`)) FROM '.HISTORY_TABLE.'    '); 
+        while ($row = mysql_fetch_array($result,MYSQL_ASSOC))   {
+                 array_push($liste_bl,$row);
+                }
+//================ Liste IP ==============
+$req = mysql_query('SELECT count(distinct(`IP`)) FROM '.HISTORY_TABLE.'    ');
 $nbip =  array_pop(mysql_fetch_row($req)) ;
 
-	$query = 'SELECT DISTINCT 	H.`id`,
+    $query = 'SELECT DISTINCT   H.`id`,
             H.`date`,
             H.`time`,
             H.`user_id`,
-            H.`IP`, 
-            COUNT(H.`IP`) as total  
-            FROM '.HISTORY_TABLE.'  AS H 
-            WHERE  "'.$ip.'"not LIKE H.`IP` 	';//
-	if (count($liste_bl)>0){
-	$query .= '	AND  H.`IP` not IN ( SELECT `ip`
+            H.`IP`,
+            COUNT(H.`IP`) as total
+            FROM '.HISTORY_TABLE.'  AS H
+            WHERE  "'.$ip.'"not LIKE H.`IP`     ';//
+    if (count($liste_bl)>0){
+    $query .= ' AND  H.`IP` not IN ( SELECT `ip`
     FROM '.MAIL_BLACK_LISTE_TABLE.' ) ';
-	}
- 
-	$query .= '	
-	GROUP by H.`IP` 
-	ORDER by `id` DESC
-	LIMIT '.(int)($params['per_page']*$params['start']).','.(int)$params['per_page'].'	
-	'   ;
+    }
 
-	$result = pwg_query($query);
-	$liste_ip=array();
-	while ($row = mysql_fetch_array($result,MYSQL_ASSOC))	{ 
+    $query .= '
+    GROUP by H.`IP`
+    ORDER by `id` DESC
+    LIMIT '.(int)($params['per_page']*$params['start']).','.(int)$params['per_page'].'
+    '   ;
 
-    		  array_push($liste_ip, $row);
-   				}
+    $result = pwg_query($query);
+    $liste_ip=array();
+    while ($row = mysql_fetch_array($result,MYSQL_ASSOC))   {
+
+              array_push($liste_ip, $row);
+                }
 
 ?>
